<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'cart',

    /*
     * Package.
     */
    'package'   => 'orderpostmates',

    /*
     * Modules.
     */
    'modules'   => ['orderpostmate'],

    
    'orderpostmate'       => [
        'model' => [
            'model'                 => \Cart\Orderpostmates\Models\Orderpostmate::class,
            'table'                 => 'orderpostmates',
            'presenter'             => \Cart\Orderpostmates\Repositories\Presenter\OrderpostmatePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'order_id',  'service_fee',  'delivery_fee',  'zing_fee',  'created_at',  'updated_at',  'deleted_at',  'PRIMARY'],
            'translatables'         => [],
            'upload_folder'         => 'orderpostmates/orderpostmate',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cart',
            'package'   => 'Orderpostmates',
            'module'    => 'Orderpostmate',
        ],

    ],
];
