<?php

// API routes  for orderpostmate
Route::prefix('{guard}/orderpostmates')->group(function () {
    Route::get('orderpostmate/form/{element}', 'OrderpostmateAPIController@form');
    Route::resource('orderpostmate', 'OrderpostmateAPIController');
});

// Public routes for orderpostmate
Route::get('orderpostmates/', 'OrderpostmatePublicController@index');
Route::get('orderpostmates/{slug?}', 'OrderpostmatePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for orderpostmates
            Route::prefix('{guard}/orderpostmates')->group(function () {
                Route::get('orderpostmate/form/{element}', 'OrderpostmateAPIController@form');
                Route::apiResource('orderpostmate', 'OrderpostmateAPIController');
            });
            // Public routes for orderpostmates
            Route::get('orderpostmates/Orderpostmate', 'OrderpostmatePublicController@getOrderpostmate');
        }
    );
}

