<?php

namespace Cart\Orderpostmates\Repositories\Eloquent;

use Cart\Orderpostmates\Interfaces\OrderpostmateRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class OrderpostmateRepository extends BaseRepository implements OrderpostmateRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('cart.orderpostmates.orderpostmate.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('cart.orderpostmates.orderpostmate.model.model');
    }
}
