Lavalite package that provides orderpostmates management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `cart/orderpostmates`.

    "cart/orderpostmates": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Cart\Orderpostmates\Providers\OrderpostmatesServiceProvider::class,

And also add it to alias

    'Orderpostmates'  => Cart\Orderpostmates\Facades\Orderpostmates::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Cart\\OrderpostmatesTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Cart\Orderpostmates\Providers\OrderpostmatesServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Cart\Orderpostmates\Providers\OrderpostmatesServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Cart\Orderpostmates\Providers\OrderpostmatesServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/orderpostmates/{modulename}

**User**

    http://path-to-route-folder/user/orderpostmates/{modulename}

**Public**

    http://path-to-route-folder/orderpostmates


### API endpoints

**List**

    http://path-to-route-folder/api/user/orderpostmates/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/orderpostmates/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/orderpostmates/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/orderpostmates/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/orderpostmates/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/orderpostmates/{modulename}/{slug}
    METHOD: GET