Lavalite package that provides orderpostmate management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `cart/orderpostmate`.

    "cart/orderpostmate": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Cart\Orderpostmate\Providers\OrderpostmateServiceProvider::class,

And also add it to alias

    'Orderpostmate'  => Cart\Orderpostmate\Facades\Orderpostmate::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Cart\\OrderpostmateTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Cart\Orderpostmate\Providers\OrderpostmateServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Cart\Orderpostmate\Providers\OrderpostmateServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Cart\Orderpostmate\Providers\OrderpostmateServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/orderpostmate/{modulename}

**User**

    http://path-to-route-folder/user/orderpostmate/{modulename}

**Public**

    http://path-to-route-folder/orderpostmates


### API endpoints

**List**

    http://path-to-route-folder/api/user/orderpostmate/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/orderpostmate/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/orderpostmate/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/orderpostmate/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/orderpostmate/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/orderpostmate/{modulename}/{slug}
    METHOD: GET