<?php

// web routes  for orderpostmate
Route::prefix('{guard}/orderpostmates')->group(function () {
    Route::resource('orderpostmate', 'OrderpostmateResourceController');
});

// Public routes for orderpostmate
Route::get('orderpostmates/', 'OrderpostmatePublicController@index');
Route::get('orderpostmates/{slug?}', 'OrderpostmatePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'OrderpostmateResourceController');
            });
            // Public routes for pages
            Route::get('orderpostmates/', 'OrderpostmatePublicController@index');
            Route::get('orderpostmates/{slug?}', 'OrderpostmatePublicController@show');
        }
    );
}

