<?php

namespace Cart\Orderpostmate;

use User;

class Orderpostmate
{
    /**
     * $orderpostmate object.
     */
    protected $orderpostmate;

    /**
     * Constructor.
     */
    public function __construct(\Cart\Orderpostmate\Interfaces\OrderpostmateRepositoryInterface $orderpostmate)
    {
        $this->orderpostmate = $orderpostmate;
    }

    /**
     * Returns count of orderpostmate.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.orderpostmate.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->orderpostmate->pushCriteria(new \Litepie\Cart\Repositories\Criteria\OrderpostmateUserCriteria());
        }

        $orderpostmate = $this->orderpostmate->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('orderpostmate::' . $view, compact('orderpostmate'))->render();
    }
}
